Description

@aureliano.gentile@fao.org  just started some tests and he found an error in the management panel when tried to change the status

of a record from approved to pending. The record is 

http://data.d4science.org/ctlg/GRSF_Admin/34b80228-8fb8-3c70-9d0e-25a3dd3f8bd3 

Checking the logs I found an error (it occurs when parsing the response returned by grsf-services-updater). See the attached file for

details.

[PORTAL] 144195669 [http-bio-9090-exec-132] ERROR org.gcube.datacatalogue.grsf_manage_widget.serve

r.manage.GRSFUpdaterServiceClient - Failed to parse response from knowledge base

org.json.simple.parser.ParseException: null

 Please, could you check if the grsf-services-updater working fine? 

History

#1 - Jul 23, 2018 09:22 AM - Yannis Marketakis

- Status changed from New to In Progress

Hi Fransesco, 

Yes I'll check it out. 

#2 - Jul 23, 2018 01:26 PM - Yannis Marketakis

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The issue occurred because the client could not retrieve the URL of the GRSFPublisher service for GRSF-Admin VRE.

More specifically, I noticed the following trace in the logs 

javax.xml.ws.WebServiceException: java.lang.RuntimeException: cannot configure outgoing message] with root cau

se

 java.lang.UnsupportedOperationException: Entity References are not allowed in SOAP documents

    at com.sun.xml.internal.messaging.saaj.soap.SOAPDocumentImpl.createEntityReference(SOAPDocumentImpl.java:1

48)

    at com.sun.xml.internal.messaging.saaj.soap.SOAPPartImpl.createEntityReference(SOAPPartImpl.java:437)

    at com.sun.xml.internal.ws.api.message.saaj.SaajStaxWriter.writeEntityRef(SaajStaxWriter.java:245)

 I found that it is a known JDK issue (https://bugs.openjdk.java.net/browse/JDK-8196491). After upgrading to JDK 1.8.0_181 the issue has been

resolved. 

#3 - Jul 24, 2018 02:21 PM - Aureliano Gentile

Dear colleagues,

I tested again changing status to http://data.d4science.org/ctlg/GRSF_Admin/34b80228-8fb8-3c70-9d0e-25a3dd3f8bd3 and it works fine, including

changes to approve/reject/hidden. Record status is also updated in real time through the "Status of the GRSF record" tags.

I believe "archive" status is missing, hidden was conceived for quick (and temporary) removal while archive has a different meaning, in example a no

longer monitored stock or an ended fishery. At least this is what I see in the requirements 

https://support.d4science.org/projects/stocksandfisherieskb/wiki/GRSF_database_overview#Content-Management-System , am I missing something?

#4 - Jul 24, 2018 03:09 PM - Aureliano Gentile
- File recordmerged.jpg added

I have also tested the merge with another assessment unit and apparently it is fine. But:

1) I did not receive any email notification

2) If I try to edit again https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/21f0dcba-5464-359c-8699-607842656681 

the pop up reads: "Error is Records under merging activities cannot be managed without explicit authorisation!" - I suggest to change into: "The

record is locked due to a merge request in progress."

3) The other record can still be managed, it is not locked. (

https://bluebridge.d4science.org/group/grsf_admin/data-catalogue?path=/dataset/34b80228-8fb8-3c70-9d0e-25a3dd3f8bd3 )

#5 - Jul 25, 2018 11:19 AM - Francesco Mangiacrapa

- Status changed from Feedback to Closed

Dear Aureliano,

from your feedback the issue related to change status of a GRSF record seems fixed.

We can close the current ticket and move your comments on "archive" status and so on to another enhancement ticket for GRSF Management panel.

I just created it at #12237

#6 - Jul 26, 2018 02:07 PM - Luca Frosini

- Project changed from 8 to StocksAndFisheriesKB

- Target version deleted (WP09)

#7 - Jul 26, 2018 02:19 PM - Luca Frosini

- Tracker changed from Task to Bug

Files

log_grsf_service_updater_response_error.txt 34.7 KB Jul 20, 2018 Francesco Mangiacrapa

recordmerged.jpg 32.1 KB Jul 24, 2018 Aureliano Gentile
